#ifndef VOCAB_H
#define VOCAB_H

#include <string>
#include "types.h"

using namespace std;

struct Vocab {
  void load(string file);

  string operator[](int);
  int operator[](string);

  string_int_hash word_to_id;
  int_string_hash id_to_word;
};


#endif
